// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 215);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof2 = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; /**
                                                                                                                                                                                                                                                                                * CopyRight (C) 2017-2022 Alibaba Group Holding Limited.
                                                                                                                                                                                                                                                                                * Created by Tw93 on 17/11/01
                                                                                                                                                                                                                                                                                */

var _urlParse = __webpack_require__(1);

var _urlParse2 = _interopRequireDefault(_urlParse);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Utils = {
  UrlParser: _urlParse2.default,
  _typeof: function _typeof(obj) {
    return Object.prototype.toString.call(obj).slice(8, -1).toLowerCase();
  },
  isPlainObject: function isPlainObject(obj) {
    return Utils._typeof(obj) === 'object';
  },
  isString: function isString(obj) {
    return typeof obj === 'string';
  },
  isNonEmptyArray: function isNonEmptyArray() {
    var obj = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];

    return obj && obj.length > 0 && Array.isArray(obj) && typeof obj !== 'undefined';
  },
  isObject: function isObject(item) {
    return item && (typeof item === 'undefined' ? 'undefined' : _typeof2(item)) === 'object' && !Array.isArray(item);
  },
  isEmptyObject: function isEmptyObject(obj) {
    return Object.keys(obj).length === 0 && obj.constructor === Object;
  },
  decodeIconFont: function decodeIconFont(text) {
    // 正则匹配 图标和文字混排 eg: 我去上学校&#xe600;,天天不&#xe600;迟到
    var regExp = /&#x[a-z|0-9]{4,5};?/g;
    if (regExp.test(text)) {
      return text.replace(new RegExp(regExp, 'g'), function (iconText) {
        var replace = iconText.replace(/&#x/, '0x').replace(/;$/, '');
        return String.fromCharCode(replace);
      });
    } else {
      return text;
    }
  },
  mergeDeep: function mergeDeep(target) {
    for (var _len = arguments.length, sources = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      sources[_key - 1] = arguments[_key];
    }

    if (!sources.length) return target;
    var source = sources.shift();
    if (Utils.isObject(target) && Utils.isObject(source)) {
      for (var key in source) {
        if (Utils.isObject(source[key])) {
          if (!target[key]) {
            Object.assign(target, _defineProperty({}, key, {}));
          }
          Utils.mergeDeep(target[key], source[key]);
        } else {
          Object.assign(target, _defineProperty({}, key, source[key]));
        }
      }
    }
    return Utils.mergeDeep.apply(Utils, [target].concat(sources));
  },
  appendProtocol: function appendProtocol(url) {
    if (/^\/\//.test(url)) {
      var bundleUrl = weex.config.bundleUrl;

      return 'http' + (/^https:/.test(bundleUrl) ? 's' : '') + ':' + url;
    }
    return url;
  },
  encodeURLParams: function encodeURLParams(url) {
    var parsedUrl = new _urlParse2.default(url, true);
    return parsedUrl.toString();
  },
  goToH5Page: function goToH5Page(jumpUrl) {
    var animated = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
    var callback = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;

    var Navigator = weex.requireModule('navigator');
    var jumpUrlObj = new Utils.UrlParser(jumpUrl, true);
    var url = Utils.appendProtocol(jumpUrlObj.toString());
    Navigator.push({
      url: Utils.encodeURLParams(url),
      animated: animated.toString()
    }, callback);
  },

  env: {
    isTaobao: function isTaobao() {
      var appName = weex.config.env.appName;

      return (/(tb|taobao|淘宝)/i.test(appName)
      );
    },
    isTrip: function isTrip() {
      var appName = weex.config.env.appName;

      return appName === 'LX';
    },
    isBoat: function isBoat() {
      var appName = weex.config.env.appName;

      return appName === 'Boat' || appName === 'BoatPlayground';
    },
    isWeb: function isWeb() {
      var platform = weex.config.env.platform;

      return (typeof window === 'undefined' ? 'undefined' : _typeof2(window)) === 'object' && platform.toLowerCase() === 'web';
    },
    isIOS: function isIOS() {
      var platform = weex.config.env.platform;

      return platform.toLowerCase() === 'ios';
    },

    /**
     * 是否为 iPhone X
     * @returns {boolean}
     */
    isIPhoneX: function isIPhoneX() {
      var deviceHeight = weex.config.env.deviceHeight;

      if (Utils.env.isWeb()) {
        return (typeof window === 'undefined' ? 'undefined' : _typeof2(window)) !== undefined && window.screen && window.screen.width && window.screen.height && parseInt(window.screen.width, 10) === 375 && parseInt(window.screen.height, 10) === 812;
      }
      return Utils.env.isIOS() && deviceHeight === 2436;
    },
    isAndroid: function isAndroid() {
      var platform = weex.config.env.platform;

      return platform.toLowerCase() === 'android';
    },
    isAlipay: function isAlipay() {
      var appName = weex.config.env.appName;

      return appName === 'AP';
    },
    isTmall: function isTmall() {
      var appName = weex.config.env.appName;

      return (/(tm|tmall|天猫)/i.test(appName)
      );
    },
    isAliWeex: function isAliWeex() {
      return Utils.env.isTmall() || Utils.env.isTrip() || Utils.env.isTaobao();
    },
    supportsEB: function supportsEB() {
      var weexVersion = weex.config.env.weexVersion || '0';
      var isHighWeex = Utils.compareVersion(weexVersion, '0.10.1.4') && (Utils.env.isIOS() || Utils.env.isAndroid());
      var expressionBinding = weex.requireModule('expressionBinding');
      return expressionBinding && expressionBinding.enableBinding && isHighWeex;
    },


    /**
     * 判断Android容器是否支持是否支持expressionBinding(处理方式很不一致)
     * @returns {boolean}
     */
    supportsEBForAndroid: function supportsEBForAndroid() {
      return Utils.env.isAndroid() && Utils.env.supportsEB();
    },


    /**
     * 判断IOS容器是否支持是否支持expressionBinding
     * @returns {boolean}
     */
    supportsEBForIos: function supportsEBForIos() {
      return Utils.env.isIOS() && Utils.env.supportsEB();
    },


    /**
     * 获取weex屏幕真实的设置高度，需要减去导航栏高度
     * @returns {Number}
     */
    getPageHeight: function getPageHeight() {
      var env = weex.config.env;

      var navHeight = Utils.env.isWeb() ? 0 : Utils.env.isIPhoneX() ? 176 : 132;
      return env.deviceHeight / env.deviceWidth * 750 - navHeight;
    },

    /**
     * 获取weex屏幕真实的设置高度
     * @returns {Number}
     */
    getScreenHeight: function getScreenHeight() {
      var env = weex.config.env;

      return env.deviceHeight / env.deviceWidth * 750;
    }
  },

  /**
   * 版本号比较
   * @memberOf Utils
   * @param currVer {string}
   * @param promoteVer {string}
   * @returns {boolean}
   * @example
   *
   * const { Utils } = require('@ali/wx-bridge');
   * const { compareVersion } = Utils;
   * console.log(compareVersion('0.1.100', '0.1.11')); // 'true'
   */
  compareVersion: function compareVersion() {
    var currVer = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '0.0.0';
    var promoteVer = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '0.0.0';

    if (currVer === promoteVer) return true;
    var currVerArr = currVer.split('.');
    var promoteVerArr = promoteVer.split('.');
    var len = Math.max(currVerArr.length, promoteVerArr.length);
    for (var i = 0; i < len; i++) {
      var proVal = ~~promoteVerArr[i];
      var curVal = ~~currVerArr[i];
      if (proVal < curVal) {
        return true;
      } else if (proVal > curVal) {
        return false;
      }
    }
    return false;
  },

  /**
   * 分割数组
   * @param arr 被分割数组
   * @param size 分割数组的长度
   * @returns {Array}
   */
  arrayChunk: function arrayChunk() {
    var arr = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
    var size = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 4;

    var groups = [];
    if (arr && arr.length > 0) {
      groups = arr.map(function (e, i) {
        return i % size === 0 ? arr.slice(i, i + size) : null;
      }).filter(function (e) {
        return e;
      });
    }
    return groups;
  },
  truncateString: function truncateString(str, len) {
    var hasDot = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;

    var newLength = 0;
    var newStr = '';
    var singleChar = '';
    var chineseRegex = /[^\x00-\xff]/g;
    var strLength = str.replace(chineseRegex, '**').length;
    for (var i = 0; i < strLength; i++) {
      singleChar = str.charAt(i).toString();
      if (singleChar.match(chineseRegex) !== null) {
        newLength += 2;
      } else {
        newLength++;
      }
      if (newLength > len) {
        break;
      }
      newStr += singleChar;
    }

    if (hasDot && strLength > len) {
      newStr += '...';
    }
    return newStr;
  },

  animation: {
    /**
     * 返回定义页面转场动画起初的位置
     * @param ref
     * @param transform 运动类型
     * @param status
     * @param callback 回调函数
     */
    pageTransitionAnimation: function pageTransitionAnimation(ref, transform, status, callback) {
      var animation = weex.requireModule('animation');
      animation.transition(ref, {
        styles: {
          transform: transform
        },
        duration: status ? 250 : 300, // ms
        timingFunction: status ? 'ease-in' : 'ease-out',
        delay: 0 // ms
      }, function () {
        callback && callback();
      });
    }
  },
  uiStyle: {
    /**
     * 返回定义页面转场动画起初的位置
     * @param animationType 页面转场动画的类型 push，model
     * @param size 分割数组的长度
     * @returns {}
     */
    pageTransitionAnimationStyle: function pageTransitionAnimationStyle(animationType) {
      if (animationType === 'push') {
        return { left: '750px', top: '0px', height: weex.config.env.deviceHeight / weex.config.env.deviceWidth * 750 + 'px' };
      } else if (animationType === 'model') {
        return { top: weex.config.env.deviceHeight / weex.config.env.deviceWidth * 750 + 'px', left: '0px', height: weex.config.env.deviceHeight / weex.config.env.deviceWidth * 750 + 'px' };
      }
      return {};
    }
  }
};

exports.default = Utils;

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var required = __webpack_require__(2)
  , qs = __webpack_require__(3)
  , protocolre = /^([a-z][a-z0-9.+-]*:)?(\/\/)?([\S\s]*)/i
  , slashes = /^[A-Za-z][A-Za-z0-9+-.]*:\/\//;

/**
 * These are the parse rules for the URL parser, it informs the parser
 * about:
 *
 * 0. The char it Needs to parse, if it's a string it should be done using
 *    indexOf, RegExp using exec and NaN means set as current value.
 * 1. The property we should set when parsing this value.
 * 2. Indication if it's backwards or forward parsing, when set as number it's
 *    the value of extra chars that should be split off.
 * 3. Inherit from location if non existing in the parser.
 * 4. `toLowerCase` the resulting value.
 */
var rules = [
  ['#', 'hash'],                        // Extract from the back.
  ['?', 'query'],                       // Extract from the back.
  function sanitize(address) {          // Sanitize what is left of the address
    return address.replace('\\', '/');
  },
  ['/', 'pathname'],                    // Extract from the back.
  ['@', 'auth', 1],                     // Extract from the front.
  [NaN, 'host', undefined, 1, 1],       // Set left over value.
  [/:(\d+)$/, 'port', undefined, 1],    // RegExp the back.
  [NaN, 'hostname', undefined, 1, 1]    // Set left over.
];

/**
 * These properties should not be copied or inherited from. This is only needed
 * for all non blob URL's as a blob URL does not include a hash, only the
 * origin.
 *
 * @type {Object}
 * @private
 */
var ignore = { hash: 1, query: 1 };

/**
 * The location object differs when your code is loaded through a normal page,
 * Worker or through a worker using a blob. And with the blobble begins the
 * trouble as the location object will contain the URL of the blob, not the
 * location of the page where our code is loaded in. The actual origin is
 * encoded in the `pathname` so we can thankfully generate a good "default"
 * location from it so we can generate proper relative URL's again.
 *
 * @param {Object|String} loc Optional default location object.
 * @returns {Object} lolcation object.
 * @public
 */
function lolcation(loc) {
  var globalVar;

  if (typeof window !== 'undefined') globalVar = window;
  else if (typeof global !== 'undefined') globalVar = global;
  else if (typeof self !== 'undefined') globalVar = self;
  else globalVar = {};

  var location = globalVar.location || {};
  loc = loc || location;

  var finaldestination = {}
    , type = typeof loc
    , key;

  if ('blob:' === loc.protocol) {
    finaldestination = new Url(unescape(loc.pathname), {});
  } else if ('string' === type) {
    finaldestination = new Url(loc, {});
    for (key in ignore) delete finaldestination[key];
  } else if ('object' === type) {
    for (key in loc) {
      if (key in ignore) continue;
      finaldestination[key] = loc[key];
    }

    if (finaldestination.slashes === undefined) {
      finaldestination.slashes = slashes.test(loc.href);
    }
  }

  return finaldestination;
}

/**
 * @typedef ProtocolExtract
 * @type Object
 * @property {String} protocol Protocol matched in the URL, in lowercase.
 * @property {Boolean} slashes `true` if protocol is followed by "//", else `false`.
 * @property {String} rest Rest of the URL that is not part of the protocol.
 */

/**
 * Extract protocol information from a URL with/without double slash ("//").
 *
 * @param {String} address URL we want to extract from.
 * @return {ProtocolExtract} Extracted information.
 * @private
 */
function extractProtocol(address) {
  var match = protocolre.exec(address);

  return {
    protocol: match[1] ? match[1].toLowerCase() : '',
    slashes: !!match[2],
    rest: match[3]
  };
}

/**
 * Resolve a relative URL pathname against a base URL pathname.
 *
 * @param {String} relative Pathname of the relative URL.
 * @param {String} base Pathname of the base URL.
 * @return {String} Resolved pathname.
 * @private
 */
function resolve(relative, base) {
  var path = (base || '/').split('/').slice(0, -1).concat(relative.split('/'))
    , i = path.length
    , last = path[i - 1]
    , unshift = false
    , up = 0;

  while (i--) {
    if (path[i] === '.') {
      path.splice(i, 1);
    } else if (path[i] === '..') {
      path.splice(i, 1);
      up++;
    } else if (up) {
      if (i === 0) unshift = true;
      path.splice(i, 1);
      up--;
    }
  }

  if (unshift) path.unshift('');
  if (last === '.' || last === '..') path.push('');

  return path.join('/');
}

/**
 * The actual URL instance. Instead of returning an object we've opted-in to
 * create an actual constructor as it's much more memory efficient and
 * faster and it pleases my OCD.
 *
 * It is worth noting that we should not use `URL` as class name to prevent
 * clashes with the global URL instance that got introduced in browsers.
 *
 * @constructor
 * @param {String} address URL we want to parse.
 * @param {Object|String} [location] Location defaults for relative paths.
 * @param {Boolean|Function} [parser] Parser for the query string.
 * @private
 */
function Url(address, location, parser) {
  if (!(this instanceof Url)) {
    return new Url(address, location, parser);
  }

  var relative, extracted, parse, instruction, index, key
    , instructions = rules.slice()
    , type = typeof location
    , url = this
    , i = 0;

  //
  // The following if statements allows this module two have compatibility with
  // 2 different API:
  //
  // 1. Node.js's `url.parse` api which accepts a URL, boolean as arguments
  //    where the boolean indicates that the query string should also be parsed.
  //
  // 2. The `URL` interface of the browser which accepts a URL, object as
  //    arguments. The supplied object will be used as default values / fall-back
  //    for relative paths.
  //
  if ('object' !== type && 'string' !== type) {
    parser = location;
    location = null;
  }

  if (parser && 'function' !== typeof parser) parser = qs.parse;

  location = lolcation(location);

  //
  // Extract protocol information before running the instructions.
  //
  extracted = extractProtocol(address || '');
  relative = !extracted.protocol && !extracted.slashes;
  url.slashes = extracted.slashes || relative && location.slashes;
  url.protocol = extracted.protocol || location.protocol || '';
  address = extracted.rest;

  //
  // When the authority component is absent the URL starts with a path
  // component.
  //
  if (!extracted.slashes) instructions[3] = [/(.*)/, 'pathname'];

  for (; i < instructions.length; i++) {
    instruction = instructions[i];

    if (typeof instruction === 'function') {
      address = instruction(address);
      continue;
    }

    parse = instruction[0];
    key = instruction[1];

    if (parse !== parse) {
      url[key] = address;
    } else if ('string' === typeof parse) {
      if (~(index = address.indexOf(parse))) {
        if ('number' === typeof instruction[2]) {
          url[key] = address.slice(0, index);
          address = address.slice(index + instruction[2]);
        } else {
          url[key] = address.slice(index);
          address = address.slice(0, index);
        }
      }
    } else if ((index = parse.exec(address))) {
      url[key] = index[1];
      address = address.slice(0, index.index);
    }

    url[key] = url[key] || (
      relative && instruction[3] ? location[key] || '' : ''
    );

    //
    // Hostname, host and protocol should be lowercased so they can be used to
    // create a proper `origin`.
    //
    if (instruction[4]) url[key] = url[key].toLowerCase();
  }

  //
  // Also parse the supplied query string in to an object. If we're supplied
  // with a custom parser as function use that instead of the default build-in
  // parser.
  //
  if (parser) url.query = parser(url.query);

  //
  // If the URL is relative, resolve the pathname against the base URL.
  //
  if (
      relative
    && location.slashes
    && url.pathname.charAt(0) !== '/'
    && (url.pathname !== '' || location.pathname !== '')
  ) {
    url.pathname = resolve(url.pathname, location.pathname);
  }

  //
  // We should not add port numbers if they are already the default port number
  // for a given protocol. As the host also contains the port number we're going
  // override it with the hostname which contains no port number.
  //
  if (!required(url.port, url.protocol)) {
    url.host = url.hostname;
    url.port = '';
  }

  //
  // Parse down the `auth` for the username and password.
  //
  url.username = url.password = '';
  if (url.auth) {
    instruction = url.auth.split(':');
    url.username = instruction[0] || '';
    url.password = instruction[1] || '';
  }

  url.origin = url.protocol && url.host && url.protocol !== 'file:'
    ? url.protocol +'//'+ url.host
    : 'null';

  //
  // The href is just the compiled result.
  //
  url.href = url.toString();
}

/**
 * This is convenience method for changing properties in the URL instance to
 * insure that they all propagate correctly.
 *
 * @param {String} part          Property we need to adjust.
 * @param {Mixed} value          The newly assigned value.
 * @param {Boolean|Function} fn  When setting the query, it will be the function
 *                               used to parse the query.
 *                               When setting the protocol, double slash will be
 *                               removed from the final url if it is true.
 * @returns {URL} URL instance for chaining.
 * @public
 */
function set(part, value, fn) {
  var url = this;

  switch (part) {
    case 'query':
      if ('string' === typeof value && value.length) {
        value = (fn || qs.parse)(value);
      }

      url[part] = value;
      break;

    case 'port':
      url[part] = value;

      if (!required(value, url.protocol)) {
        url.host = url.hostname;
        url[part] = '';
      } else if (value) {
        url.host = url.hostname +':'+ value;
      }

      break;

    case 'hostname':
      url[part] = value;

      if (url.port) value += ':'+ url.port;
      url.host = value;
      break;

    case 'host':
      url[part] = value;

      if (/:\d+$/.test(value)) {
        value = value.split(':');
        url.port = value.pop();
        url.hostname = value.join(':');
      } else {
        url.hostname = value;
        url.port = '';
      }

      break;

    case 'protocol':
      url.protocol = value.toLowerCase();
      url.slashes = !fn;
      break;

    case 'pathname':
    case 'hash':
      if (value) {
        var char = part === 'pathname' ? '/' : '#';
        url[part] = value.charAt(0) !== char ? char + value : value;
      } else {
        url[part] = value;
      }
      break;

    default:
      url[part] = value;
  }

  for (var i = 0; i < rules.length; i++) {
    var ins = rules[i];

    if (ins[4]) url[ins[1]] = url[ins[1]].toLowerCase();
  }

  url.origin = url.protocol && url.host && url.protocol !== 'file:'
    ? url.protocol +'//'+ url.host
    : 'null';

  url.href = url.toString();

  return url;
}

/**
 * Transform the properties back in to a valid and full URL string.
 *
 * @param {Function} stringify Optional query stringify function.
 * @returns {String} Compiled version of the URL.
 * @public
 */
function toString(stringify) {
  if (!stringify || 'function' !== typeof stringify) stringify = qs.stringify;

  var query
    , url = this
    , protocol = url.protocol;

  if (protocol && protocol.charAt(protocol.length - 1) !== ':') protocol += ':';

  var result = protocol + (url.slashes ? '//' : '');

  if (url.username) {
    result += url.username;
    if (url.password) result += ':'+ url.password;
    result += '@';
  }

  result += url.host + url.pathname;

  query = 'object' === typeof url.query ? stringify(url.query) : url.query;
  if (query) result += '?' !== query.charAt(0) ? '?'+ query : query;

  if (url.hash) result += url.hash;

  return result;
}

Url.prototype = { set: set, toString: toString };

//
// Expose the URL parser and some additional properties that might be useful for
// others or testing.
//
Url.extractProtocol = extractProtocol;
Url.location = lolcation;
Url.qs = qs;

module.exports = Url;


/***/ }),

/***/ 100:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

var _wxcCell = __webpack_require__(20);

var _wxcCell2 = _interopRequireDefault(_wxcCell);

var _util = __webpack_require__(24);

var _util2 = _interopRequireDefault(_util);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var modal = weex.requireModule('modal');
exports.default = {
    components: {
        WxcCell: _wxcCell2.default
    },
    props: {
        receiverInfo: {
            type: Object
        },
        invoiceType: {
            type: String,
            default: '4'
        }
    },
    watch: {
        recipient: function recipient() {
            this.invalidateData();
        },
        recipientPhone: function recipientPhone() {
            this.invalidateData();
        },
        recipientAddress: function recipientAddress() {
            this.invalidateData();
        },
        invoiceType: function invoiceType() {
            this.invalidateData();
        },
        recipientEmail: function recipientEmail() {
            this.invalidateData();
        }
    },
    data: function data() {
        return {
            checkedIcon: _utils2.default.env.isIOS() ? "local:///invoice_select.png" : "local:///invoice_select", //'http://192.168.31.39:8081/dist/imgs/invoice_select.png',//Utils.env.isIOS() ? "local:///invoice_select.png" : "local:///invoice_select",
            unCheckedIcon: _utils2.default.env.isIOS() ? "local:///invoice_unselect.png" : "local:///invoice_unselect", //'http://192.168.31.39:8081/dist/imgs/invoice_unselect.png',//Utils.env.isIOS() ? "local:///invoice_unselect.png" : "local:///invoice_unselect",
            cellStyle: {
                backgroundColor: '#FFFFFF',
                justifyContent: 'center',
                alignItems: 'center',
                alignContent: 'center',
                width: 750,
                height: '88px',
                lineHeight: '88px'
            },
            recipient: '',
            recipientPhone: '',
            recipientAddress: '',
            recipientEmail: '',
            payType: '4',
            canSubmit: false,
            isEmailToastShow: false
        };
    },

    computed: {},
    methods: {
        asycData: function asycData() {
            this.receiverInfo.recipient = this.recipient;
            this.receiverInfo.recipientPhone = this.recipientPhone;
            this.receiverInfo.recipientAddress = this.recipientAddress;
            this.receiverInfo.recipientEmail = this.recipientEmail;
            this.receiverInfo.payType = this.payType;
            console.log("--------------修改父receiverInfo----------------");
            console.log(this.receiverInfo);
        },
        invalidateData: function invalidateData() {
            this.asycData();
            if (this.invoiceType != 4 && (!this.recipient || !this.recipientPhone || !this.recipientAddress)) {
                this.receiverInfo.canSubmit = false;
                return;
            } else if (this.invoiceType == 4 && !this.invalidataEmail(this.recipientEmail)) {
                this.receiverInfo.canSubmit = false;
                return;
            }
            this.receiverInfo.canSubmit = true;
        },
        invalidataEmail: function invalidataEmail(str) {
            var pattern = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,8})$/;
            if (pattern.test(str)) {
                console.log("邮箱验证通过");
                return true;
            } else {
                console.log("邮箱验证不通过");
                return false;
            }
        },
        emailFocus: function emailFocus() {},
        toastResult: function toastResult() {
            console.log("toastResult call:" + this.recipientEmail);
            if (this.invoiceType == 4 && !this.invalidataEmail(this.recipientEmail)) {
                modal.toast({
                    message: '邮箱格式错误',
                    duration: 2
                });
            }
        }
    }
};

/***/ }),

/***/ 101:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrapper"]
  }, [_vm._m(0), (_vm.invoiceType != 4) ? _c('wxc-cell', {
    attrs: {
      "hasArrow": false,
      "cellStyle": _vm.cellStyle,
      "hasTopBorder": false
    }
  }, [_c('div', {
    staticStyle: {
      width: "232px",
      flexWrap: "nowrap",
      flexDirection: "row",
      paddingRight: "10px"
    },
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('text', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      textAlign: "left"
    }
  }, [_vm._v("收件人")]), _c('text', {
    staticStyle: {
      color: "#F76160",
      fontSize: "28px"
    }
  }, [_vm._v("*")])]), _c('input', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      height: "88px"
    },
    attrs: {
      "slot": "title",
      "type": "text",
      "placeholder": "请输入收件人",
      "value": (_vm.recipient)
    },
    on: {
      "input": function($event) {
        _vm.recipient = $event.target.attr.value
      }
    },
    slot: "title"
  })]) : _vm._e(), (_vm.invoiceType != 4) ? _c('wxc-cell', {
    attrs: {
      "hasArrow": false,
      "cellStyle": _vm.cellStyle,
      "hasTopBorder": false
    }
  }, [_c('div', {
    staticStyle: {
      width: "232px",
      flexWrap: "nowrap",
      flexDirection: "row",
      paddingRight: "10px"
    },
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('text', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      textAlign: "left"
    }
  }, [_vm._v("电话")]), _c('text', {
    staticStyle: {
      color: "#F76160",
      fontSize: "28px"
    }
  }, [_vm._v("*")])]), _c('input', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      height: "88px"
    },
    attrs: {
      "slot": "title",
      "type": "text",
      "placeholder": "请输入电话",
      "value": (_vm.recipientPhone)
    },
    on: {
      "input": function($event) {
        _vm.recipientPhone = $event.target.attr.value
      }
    },
    slot: "title"
  })]) : _vm._e(), (_vm.invoiceType != 4) ? _c('wxc-cell', {
    attrs: {
      "hasArrow": false,
      "cellStyle": _vm.cellStyle,
      "hasTopBorder": false
    }
  }, [_c('div', {
    staticStyle: {
      width: "232px",
      flexWrap: "nowrap",
      flexDirection: "row",
      paddingRight: "10px"
    },
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('text', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      textAlign: "left"
    }
  }, [_vm._v("地址")]), _c('text', {
    staticStyle: {
      color: "#F76160",
      fontSize: "28px"
    }
  }, [_vm._v("*")])]), _c('input', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      height: "88px"
    },
    attrs: {
      "slot": "title",
      "type": "text",
      "placeholder": "请输入地址",
      "value": (_vm.recipientAddress)
    },
    on: {
      "input": function($event) {
        _vm.recipientAddress = $event.target.attr.value
      }
    },
    slot: "title"
  })]) : _vm._e(), _c('wxc-cell', {
    attrs: {
      "hasArrow": false,
      "cellStyle": _vm.cellStyle,
      "hasTopBorder": false,
      "hasBottomBorder": false
    }
  }, [_c('div', {
    staticStyle: {
      width: "232px",
      flexWrap: "nowrap",
      flexDirection: "row",
      paddingRight: "10px"
    },
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('text', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      textAlign: "left"
    }
  }, [_vm._v("邮箱")]), (_vm.invoiceType == 4) ? _c('text', {
    staticStyle: {
      color: "#F76160",
      fontSize: "28px"
    }
  }, [_vm._v("*")]) : _vm._e()]), _c('input', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      height: "88px"
    },
    attrs: {
      "slot": "title",
      "onfocus": _vm.emailFocus(),
      "type": "text",
      "placeholder": "请输入邮箱",
      "value": (_vm.recipientEmail)
    },
    on: {
      "blur": function($event) {
        _vm.toastResult()
      },
      "input": function($event) {
        _vm.recipientEmail = $event.target.attr.value
      }
    },
    slot: "title"
  })]), (_vm.invoiceType == 4) ? _c('div', {
    staticStyle: {
      marginBottom: "20px"
    }
  }) : _vm._e(), (_vm.invoiceType != 4) ? _c('div', [_vm._m(1), _c('div', {
    staticStyle: {
      marginBottom: "20px"
    }
  }, [_c('wxc-cell', {
    attrs: {
      "hasArrow": false,
      "cellStyle": _vm.cellStyle,
      "hasTopBorder": false,
      "hasBottomBorder": false
    }
  }, [_c('text', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      paddingRight: "10px",
      width: "232px",
      textAlign: "left"
    },
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_vm._v("付款方式")]), _c('div', {
    staticStyle: {
      width: "750px",
      flexDirection: "row",
      flexWrap: "nowrap"
    },
    attrs: {
      "slot": "title"
    },
    slot: "title"
  }, [_c('div', {
    staticStyle: {
      width: "220px",
      flexDirection: "row",
      flexWrap: "nowrap",
      color: "#333333",
      fontSize: "28px"
    }
  }, [_c('image', {
    staticClass: ["icon"],
    staticStyle: {
      width: "40px",
      height: "40px"
    },
    attrs: {
      "src": _vm.checkedIcon,
      "resize": "contain"
    }
  }), _c('text', {
    staticStyle: {
      paddingLeft: "15px",
      color: "#333333",
      fontSize: "28px",
      height: "40px",
      lineHeight: "40px"
    }
  }, [_vm._v("货到付款")])])])])], 1)]) : _vm._e()], 1)
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["title"]
  }, [_c('text', {
    staticStyle: {
      fontSize: "24px"
    }
  }, [_vm._v("收件人信息")])])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["title"]
  }, [_c('text', {
    staticStyle: {
      fontSize: "24px"
    }
  }, [_vm._v("邮费")])])
}]}
module.exports.render._withStripped = true

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Check if we're required to add a port number.
 *
 * @see https://url.spec.whatwg.org/#default-port
 * @param {Number|String} port Port number we need to check
 * @param {String} protocol Protocol we need to check against.
 * @returns {Boolean} Is it a default port for the given protocol
 * @api private
 */
module.exports = function required(port, protocol) {
  protocol = protocol.split(':')[0];
  port = +port;

  if (!port) return false;

  switch (protocol) {
    case 'http':
    case 'ws':
    return port !== 80;

    case 'https':
    case 'wss':
    return port !== 443;

    case 'ftp':
    return port !== 21;

    case 'gopher':
    return port !== 70;

    case 'file':
    return false;
  }

  return port !== 0;
};


/***/ }),

/***/ 20:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = __webpack_require__(25);

Object.defineProperty(exports, 'default', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_index).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ }),

/***/ 215:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _createInvoice = __webpack_require__(216);

var _createInvoice2 = _interopRequireDefault(_createInvoice);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_createInvoice2.default.el = '#root';
new Vue(_createInvoice2.default);

/***/ }),

/***/ 216:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(217)
)

/* script */
__vue_exports__ = __webpack_require__(218)

/* template */
var __vue_template__ = __webpack_require__(219)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "E:\\neusoft\\WeexGenerator\\src\\js\\pages\\create-invoice.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-ae191cde"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 217:
/***/ (function(module, exports) {

module.exports = {
  "invoiceWrapper": {
    "background": "#F8F8F8",
    "fontSize": "28",
    "paddingBottom": "100"
  },
  "submit": {
    "position": "fixed",
    "bottom": 0,
    "left": 0,
    "width": "750",
    "height": "100",
    "textAlign": "center",
    "backgroundColor": "#39424B",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "disabled": {
    "backgroundColor": "#CCCCCC"
  },
  "submit-disabled": {
    "position": "fixed",
    "bottom": 0,
    "left": 0,
    "width": "750",
    "height": "100",
    "textAlign": "center",
    "backgroundColor": "#CCCCCC",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "text": {
    "color": "#FFFFFF",
    "fontSize": "32"
  }
}

/***/ }),

/***/ 218:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _invoiceType = __webpack_require__(90);

var _invoiceType2 = _interopRequireDefault(_invoiceType);

var _invoiceInfo = __webpack_require__(86);

var _invoiceInfo2 = _interopRequireDefault(_invoiceInfo);

var _recipientInfo = __webpack_require__(98);

var _recipientInfo2 = _interopRequireDefault(_recipientInfo);

var _util = __webpack_require__(24);

var _util2 = _interopRequireDefault(_util);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//

var modal = weex.requireModule('modal');

exports.default = {
    components: {
        InvoiceType: _invoiceType2.default, InvoiceInfo: _invoiceInfo2.default, RecipientInfo: _recipientInfo2.default
    },
    data: function data() {
        return {
            orderType: '1',
            invoiceAmount: '0',
            invoiceOrderParameters: [],
            invoiceType: '4',
            invoiceInfo: {
                canSubmit: false,
                invoiceTitleType: '2',
                invoiceTitle: '',
                taxpayerIdentificationNumber: '',
                taxpayerAddress: '',
                bank: '',
                bankAccount: '',
                invoiceContent: "",
                remarks: ''
            },
            receiverInfo: {
                canSubmit: false,
                recipient: '',
                recipientPhone: '',
                recipientAddress: '',
                recipientEmail: '',
                payType: '4'
            },
            isTypeOrdPaperCompany: true,
            isTypeOrdPaperPerson: false,
            isTypeSpePaper: false,
            isTypeElec: false,
            canSubmit: false
        };
    },

    watch: {
        'invoiceInfo.canSubmit': function invoiceInfoCanSubmit() {
            this.invalidateData();
        },
        'receiverInfo.canSubmit': function receiverInfoCanSubmit() {
            this.invalidateData();
        }
    },
    created: function created() {
        this.getOptions();
    },

    methods: {
        // 获取 native的传参
        getOptions: function getOptions() {
            this.orderType = weex.config.orderType;
            this.invoiceAmount = weex.config.invoiceAmount;
            this.invoiceOrderParameters = weex.config.invoiceOrderParameters;
            console.log("===================orderType:" + this.orderType + "=====invoiceAmount:" + this.invoiceAmount + "====invoiceOrderParameters:" + this.invoiceOrderParameters);
        },
        invoiceTypeClicked: function invoiceTypeClicked(e) {
            console.log("invoiceType:" + e.type);
            this.invoiceType = e.type;
        },
        invoiceTypeDetail: function invoiceTypeDetail() {
            if (this.invoiceType == 1 && this.invoiceInfo.invoiceTitleType == 2) {
                //1=普通发票(纸质) 公司
                this.isTypeOrdPaperCompany = true;
                this.isTypeOrdPaperPerson = false;
                this.isTypeSpePaper = false;
                this.isTypeElec = false;
                console.log("TYPE_ORD_PAPER_COMPANY");
            } else if (this.invoiceType == 1 && this.invoiceInfo.invoiceTitleType == 1) {
                //1=普通发票(纸质) 个人
                this.isTypeOrdPaperCompany = false;
                this.isTypeOrdPaperPerson = true;
                this.isTypeSpePaper = false;
                this.isTypeElec = false;
                console.log("TYPE_ORD_PAPER_PERSON");
            } else if (this.invoiceType == 2) {
                //2=增值税专用发票(纸质)
                this.isTypeOrdPaperCompany = false;
                this.isTypeOrdPaperPerson = false;
                this.isTypeSpePaper = true;
                this.isTypeElec = false;
                console.log("TYPE_SPE_PAPER");
            } else {
                //电子
                this.isTypeOrdPaperCompany = false;
                this.isTypeOrdPaperPerson = false;
                this.isTypeSpePaper = false;
                this.isTypeElec = true;
                console.log("TYPE_ELEC");
            }
        },
        submit: function submit() {
            if (this.canSubmit) {
                var submitData = { "invoiceType": this.invoiceType, "invoiceInfo": this.invoiceInfo, "receiverInfo": this.receiverInfo, "invoiceOrderParameters": this.invoiceOrderParameters };
                submitData = Object.assign(this.invoiceInfo, this.receiverInfo);
                submitData.invoiceType = this.invoiceType;
                submitData.invoiceOrderParameters = this.invoiceOrderParameters;
                submitData.orderType = this.orderType;
                console.log(" ========== submitData===" + JSON.stringify(submitData));
                weex.requireModule('Invoice') && weex.requireModule('Invoice').submitInvoiceInfo(submitData, function (resData) {
                    if (resData.code === 0) {
                        console.log('Invoice插件 submit调用成功 ');
                    } else {
                        console.log('Invoice插件 submit调用失败 ');
                    }
                });
            }
        },
        invalidateData: function invalidateData() {
            if (this.invoiceInfo.canSubmit && this.receiverInfo.canSubmit) {
                this.canSubmit = true;
                return true;
            } else {
                this.canSubmit = false;
                return false;
            }
        }
    }
};

/***/ }),

/***/ 219:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["invoiceWrapper"],
    staticStyle: {
      backgroundColor: "#F8F8F8",
      fontSize: "28px"
    }
  }, [_c('scroller', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('invoice-type', {
    attrs: {
      "invoiceAmount": _vm.invoiceAmount
    },
    on: {
      "invoiceTypeClicked": _vm.invoiceTypeClicked
    }
  }), _c('invoice-info', {
    attrs: {
      "invoiceInfo": _vm.invoiceInfo,
      "orderType": _vm.orderType,
      "invoiceAmount": _vm.invoiceAmount,
      "invoiceType": _vm.invoiceType
    }
  }), _c('recipient-info', {
    attrs: {
      "receiverInfo": _vm.receiverInfo,
      "invoiceType": _vm.invoiceType
    }
  })], 1), (_vm.canSubmit) ? _c('div', {
    staticClass: ["submit"],
    on: {
      "click": _vm.submit
    }
  }, [_c('text', {
    staticClass: ["text"]
  }, [_vm._v("提交")])]) : _vm._e(), (!_vm.canSubmit) ? _c('div', {
    staticClass: ["submit-disabled"],
    on: {
      "click": _vm.submit
    }
  }, [_c('text', {
    staticClass: ["text"]
  }, [_vm._v("提交")])]) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 24:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * @author liaoxj
 * @Date:  2018-03-26
 * @description 公用方法封装
 */
var utilFunc = {
    isLogin: false,
    token: null,
    initIconFont: function initIconFont() {
        var domModule = weex.requireModule('dom');
        domModule.addRule('fontFace', {
            'fontFamily': "iconfont",
            'src': "url('http://at.alicdn.com/t/font_600676_z6s1yh0b7tzw7b9.ttf')"
        });
    },
    setBundleUrl: function setBundleUrl(url, jsFile) {
        var bundleUrl = url;
        var host = '';
        var path = '';
        var nativeBase = void 0;
        var isAndroidAssets = bundleUrl.indexOf('your_current_IP') >= 0 || bundleUrl.indexOf('file://assets/') >= 0;
        var isiOSAssets = bundleUrl.indexOf('file:///') >= 0 && bundleUrl.indexOf('WeexDemo.app') > 0;
        if (isAndroidAssets) {
            nativeBase = 'file://assets/dist';
        } else if (isiOSAssets) {
            // file:///var/mobile/Containers/Bundle/Application/{id}/WeexDemo.app/
            // file:///Users/{user}/Library/Developer/CoreSimulator/Devices/{id}/data/Containers/Bundle/Application/{id}/WeexDemo.app/
            nativeBase = bundleUrl.substring(0, bundleUrl.lastIndexOf('/') + 1);
        } else {
            var matches = /\/\/([^\/]+?)\//.exec(bundleUrl);
            var matchFirstPath = /\/\/[^\/]+\/([^\s]+)\//.exec(bundleUrl);
            if (matches && matches.length >= 2) {
                host = matches[1];
            }
            if (matchFirstPath && matchFirstPath.length >= 2) {
                path = matchFirstPath[1];
            }
            nativeBase = 'http://' + host + '/';
        }
        var h5Base = './index.html?page=';
        // in Native
        var base = nativeBase;
        if (typeof navigator !== 'undefined' && (navigator.appCodeName === 'Mozilla' || navigator.product === 'Gecko')) {
            // check if in weexpack project
            if (path === 'web' || path === 'dist') {
                base = h5Base + '/dist/';
            } else {
                base = h5Base + '';
            }
        } else {
            base = nativeBase + (!!path ? path + '/' : '');
        }

        var newUrl = base + jsFile;
        return newUrl;
    },
    getUrlSearch: function getUrlSearch(url, name) {
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
        var r = url.slice(url.indexOf('?') + 1).match(reg);
        if (r != null) {
            try {
                return decodeURIComponent(r[2]);
            } catch (_e) {
                return null;
            }
        }
        return null;
    },
    setLoginState: function setLoginState(state) {},
    getLoginState: function getLoginState() {
        //TODO login state change
        var loginState = false;
        return loginState;
    },
    isNull: function isNull(value) {
        var result = true;
        if (value === '' || value === null || value === undefined) {
            result = false;
        }
        return result;
    },
    transferCharactor: function transferCharactor(url) {
        url = url + "";
        url = encodeURIComponent(url);
        return url;
    },
    endsWith: function endsWith(str, value) {
        var result = true;
        if (str === null || value === null) {
            result = false;
        } else {
            var lastChar = str.substring(value.length - 1);
            result = lastChar === value;
        }
        return result;
    },
    connectQuery: function connectQuery(obj) {
        var query = '?';
        for (var key in obj) {
            if (this.isNull(obj[key])) {
                obj[key] = this.transferCharactor(obj[key]);
                query = this.endsWith(query, '?') ? '' + query + key + '=' + obj[key] : query + '&' + key + '=' + obj[key];
            }
        }
        return query;
    },

    //将new Date();转化成 YY-MM-DD hh:mm格式
    formatDateTime: function formatDateTime(date) {
        var y = date.getFullYear();
        var m = date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1;
        var d = date.getDate() < 10 ? '0' + date.getDate() : date.getDate();
        var h = date.getHours() < 10 ? '0' + date.getHours() : date.getHours();
        var minute = date.getMinutes() < 10 ? '0' + date.getMinutes() : date.getMinutes();
        return y + '-' + m + '-' + d + ' ' + h + ':' + minute;
    },

    //将new Date();转化成 YY-MM-DD hh:mm:ss格式
    formatDateTime1: function formatDateTime1(date) {
        var y = date.getFullYear();
        var m = date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1;
        var d = date.getDate() < 10 ? '0' + date.getDate() : date.getDate();
        var h = date.getHours() < 10 ? '0' + date.getHours() : date.getHours();
        var minute = date.getMinutes() < 10 ? '0' + date.getMinutes() : date.getMinutes();
        var ss = date.getSeconds() < 10 ? '0' + date.getSeconds() : date.getSeconds();
        return y + '-' + m + '-' + d + ' ' + h + ':' + minute + ':' + ss;
    },

    //将时间戳转化成 YY-MM-DD格式
    formatDateTime2: function formatDateTime2(date) {
        var time = new Date(date);
        var y = time.getFullYear();
        var m = time.getMonth() + 1 < 10 ? '0' + (time.getMonth() + 1) : time.getMonth() + 1;
        var d = time.getDate() < 10 ? '0' + time.getDate() : time.getDate();
        return y + '-' + m + '-' + d;
    }
};

exports.default = utilFunc;

/***/ }),

/***/ 25:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(26)
)

/* script */
__vue_exports__ = __webpack_require__(27)

/* template */
var __vue_template__ = __webpack_require__(28)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "E:\\neusoft\\WeexGenerator\\node_modules\\weex-ui\\packages\\wxc-cell\\index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-63bed4b2"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 26:
/***/ (function(module, exports) {

module.exports = {
  "wxc-cell": {
    "height": "100",
    "flexDirection": "row",
    "alignItems": "center",
    "paddingLeft": "24",
    "paddingRight": "24",
    "backgroundColor": "#ffffff"
  },
  "cell-margin": {
    "marginBottom": "24"
  },
  "cell-title": {
    "flex": 1
  },
  "cell-indent": {
    "paddingBottom": "30",
    "paddingTop": "30"
  },
  "has-desc": {
    "paddingBottom": "18",
    "paddingTop": "18"
  },
  "cell-top-border": {
    "borderTopColor": "#e2e2e2",
    "borderTopWidth": "1"
  },
  "cell-bottom-border": {
    "borderBottomColor": "#e2e2e2",
    "borderBottomWidth": "1"
  },
  "cell-label-text": {
    "fontSize": "30",
    "color": "#666666",
    "width": "188",
    "marginRight": "10"
  },
  "cell-arrow-icon": {
    "width": "22",
    "height": "22"
  },
  "cell-content": {
    "color": "#333333",
    "fontSize": "30",
    "lineHeight": "40"
  },
  "cell-desc-text": {
    "color": "#999999",
    "fontSize": "24",
    "lineHeight": "30",
    "marginTop": "4"
  }
}

/***/ }),

/***/ 27:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  props: {
    label: {
      type: String,
      default: ''
    },
    title: {
      type: String,
      default: ''
    },
    desc: {
      type: String,
      default: ''
    },
    link: {
      type: String,
      default: ''
    },
    hasTopBorder: {
      type: Boolean,
      default: false
    },
    hasMargin: {
      type: Boolean,
      default: false
    },
    hasBottomBorder: {
      type: Boolean,
      default: true
    },
    hasArrow: {
      type: Boolean,
      default: false
    },
    arrowIcon: {
      type: String,
      default: 'https://gw.alicdn.com/tfs/TB11zBUpwMPMeJjy1XbXXcwxVXa-22-22.png'
    },
    hasVerticalIndent: {
      type: Boolean,
      default: true
    },
    cellStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    autoAccessible: {
      type: Boolean,
      default: true
    }
  },
  methods: {
    cellClicked: function cellClicked(e) {
      var link = this.link;
      this.$emit('wxcCellClicked', { e: e });
      link && _utils2.default.goToH5Page(link, true);
    }
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 28:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    class: ['wxc-cell', _vm.hasTopBorder && 'cell-top-border', _vm.hasBottomBorder && 'cell-bottom-border', _vm.hasMargin && 'cell-margin', _vm.hasVerticalIndent && 'cell-indent', _vm.desc && 'has-desc'],
    style: _vm.cellStyle,
    attrs: {
      "accessible": _vm.autoAccessible,
      "ariaLabel": (_vm.label + "," + _vm.title + "," + _vm.desc)
    },
    on: {
      "click": _vm.cellClicked
    }
  }, [_vm._t("label", [(_vm.label) ? _c('div', [_c('text', {
    staticClass: ["cell-label-text"]
  }, [_vm._v(_vm._s(_vm.label))])]) : _vm._e()]), _c('div', {
    staticClass: ["cell-title"]
  }, [_vm._t("title", [_c('text', {
    staticClass: ["cell-content"]
  }, [_vm._v(_vm._s(_vm.title))]), (_vm.desc) ? _c('text', {
    staticClass: ["cell-desc-text"]
  }, [_vm._v(_vm._s(_vm.desc))]) : _vm._e()])], 2), _vm._t("value"), _vm._t("default"), (_vm.hasArrow) ? _c('image', {
    staticClass: ["cell-arrow-icon"],
    attrs: {
      "src": _vm.arrowIcon,
      "ariaHidden": true
    }
  }) : _vm._e()], 2)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var has = Object.prototype.hasOwnProperty
  , undef;

/**
 * Decode a URI encoded string.
 *
 * @param {String} input The URI encoded string.
 * @returns {String} The decoded string.
 * @api private
 */
function decode(input) {
  return decodeURIComponent(input.replace(/\+/g, ' '));
}

/**
 * Simple query string parser.
 *
 * @param {String} query The query string that needs to be parsed.
 * @returns {Object}
 * @api public
 */
function querystring(query) {
  var parser = /([^=?&]+)=?([^&]*)/g
    , result = {}
    , part;

  while (part = parser.exec(query)) {
    var key = decode(part[1])
      , value = decode(part[2]);

    //
    // Prevent overriding of existing properties. This ensures that build-in
    // methods like `toString` or __proto__ are not overriden by malicious
    // querystrings.
    //
    if (key in result) continue;
    result[key] = value;
  }

  return result;
}

/**
 * Transform a query string to an object.
 *
 * @param {Object} obj Object that should be transformed.
 * @param {String} prefix Optional prefix.
 * @returns {String}
 * @api public
 */
function querystringify(obj, prefix) {
  prefix = prefix || '';

  var pairs = []
    , value
    , key;

  //
  // Optionally prefix with a '?' if needed
  //
  if ('string' !== typeof prefix) prefix = '?';

  for (key in obj) {
    if (has.call(obj, key)) {
      value = obj[key];

      //
      // Edge cases where we actually want to encode the value to an empty
      // string instead of the stringified value.
      //
      if (!value && (value === null || value === undef || isNaN(value))) {
        value = '';
      }

      pairs.push(encodeURIComponent(key) +'='+ encodeURIComponent(value));
    }
  }

  return pairs.length ? prefix + pairs.join('&') : '';
}

//
// Expose the module.
//
exports.stringify = querystringify;
exports.parse = querystring;


/***/ }),

/***/ 86:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(87)
)

/* script */
__vue_exports__ = __webpack_require__(88)

/* template */
var __vue_template__ = __webpack_require__(89)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "E:\\neusoft\\WeexGenerator\\src\\js\\components\\invoice-info.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-3b2b8e47"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 87:
/***/ (function(module, exports) {

module.exports = {
  "wrapper": {
    "backgroundColor": "#F8F8F8"
  },
  "title": {
    "color": "#333333",
    "fontSize": "24",
    "marginTop": "20",
    "marginLeft": "24",
    "height": "48"
  },
  "icon": {
    "width": "40",
    "height": "40"
  }
}

/***/ }),

/***/ 88:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

var _wxcCell = __webpack_require__(20);

var _wxcCell2 = _interopRequireDefault(_wxcCell);

var _util = __webpack_require__(24);

var _util2 = _interopRequireDefault(_util);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var INVOICE_CONTENT_RENTAL = "*经营租赁*租车服务费";
var INVOICE_CONTENT_CHARGE = "*供电*充电费";
var TYPE_ORD_PAPER_COMPANY = 1; // 普通发票(纸质) 公司
var TYPE_ORD_PAPER_PERSON = 2; //普通发票(纸质) 个人
var TYPE_SPE_PAPER = 3; //增值税专用发票(纸质)
var TYPE_ELEC_PERSON = 4; //电子 个人
var TYPE_ELEC_COMPANY = 5; //电子 公司
exports.default = {
    components: {
        WxcCell: _wxcCell2.default
    },
    props: {
        orderType: {
            type: String,
            default: '1'
        },
        invoiceType: {
            type: String,
            default: '4'
        },
        invoiceAmount: {
            type: String,
            default: '0'
        },
        invoiceInfo: {
            type: Object
        }
    },
    created: function created() {
        this.invoiceTypeDetail();
    },
    data: function data() {
        return {
            checkedIcon: _utils2.default.env.isIOS() ? "local:///invoice_select.png" : "local:///invoice_select", //'http://192.168.31.39:8081/dist/imgs/invoice_select.png',
            unCheckedIcon: _utils2.default.env.isIOS() ? "local:///invoice_unselect.png" : "local:///invoice_unselect", //'http://192.168.31.39:8081/dist/imgs/invoice_unselect.png',
            cellStyle: {
                backgroundColor: '#FFFFFF',
                justifyContent: 'center',
                alignItems: 'center',
                alignContent: 'center',
                width: 750,
                height: '88px',
                lineHeight: '88px'
            },
            invoiceTitleType: 2,
            invoiceTitle: '',
            taxpayerIdentificationNumber: '',
            taxpayerAddress: '',
            bank: '',
            bankAccount: '',
            invoiceContent: this.getInvoiceContent(),
            remarks: '',
            canSubmit: false,
            isTypeOrdPaperCompany: true,
            isTypeOrdPaperPerson: false,
            isTypeSpePaper: false,
            isTypeElecPerson: false,
            isTypeElecCompany: false
        };
    },

    computed: {},
    watch: {
        invoiceType: function invoiceType() {
            this.invoiceTypeDetail();
            this.invalidateData();
        },
        invoiceTitleType: function invoiceTitleType() {
            this.invoiceTypeDetail();
            this.invalidateData();
        },
        invoiceTitle: function invoiceTitle() {
            this.invalidateData();
        },
        taxpayerIdentificationNumber: function taxpayerIdentificationNumber() {
            this.invalidateData();
        },
        taxpayerAddress: function taxpayerAddress() {
            this.invalidateData();
        },
        bank: function bank() {
            this.invalidateData();
        },
        bankAccount: function bankAccount() {
            this.invalidateData();
        },
        remarks: function remarks() {
            this.invalidateData();
        }
    },
    methods: {
        asycData: function asycData() {
            this.invoiceInfo.invoiceTitleType = this.invoiceTitleType;
            this.invoiceInfo.invoiceTitle = this.invoiceTitle;
            this.invoiceInfo.taxpayerIdentificationNumber = this.taxpayerIdentificationNumber;
            this.invoiceInfo.taxpayerAddress = this.taxpayerAddress;
            this.invoiceInfo.bank = this.bank;
            this.invoiceInfo.bankAccount = this.bankAccount;
            this.invoiceInfo.invoiceContent = this.invoiceContent;
            this.invoiceInfo.invoiceAmount = this.invoiceAmount;
            this.invoiceInfo.remarks = this.remarks;
            console.log("--------------修改父invoiceInfo----------------");
            console.log(this.invoiceInfo);
        },
        getInvoiceContent: function getInvoiceContent() {
            if (this.orderType == 1 || this.orderType == 4) {
                return INVOICE_CONTENT_RENTAL;
            } else {
                return INVOICE_CONTENT_CHARGE;
            }
        },
        invalidateData: function invalidateData() {
            this.asycData();
            if (this.isTypeOrdPaperCompany) {
                if (!this.invoiceTitle || !this.taxpayerIdentificationNumber) {
                    this.invoiceInfo.canSubmit = false;
                    return;
                }
            } else if (this.isTypeOrdPaperPerson) {
                if (!this.invoiceTitle) {
                    this.invoiceInfo.canSubmit = false;
                    return;
                }
            } else if (this.isTypeSpePaper) {
                if (!this.invoiceTitle || !this.taxpayerIdentificationNumber || !this.taxpayerAddress || !this.bank || !this.bankAccount) {
                    this.invoiceInfo.canSubmit = false;
                    return;
                }
            } else if (this.isTypeElecPerson) {
                if (!this.invoiceTitle) {
                    this.invoiceInfo.canSubmit = false;
                    return;
                }
            } else if (this.isTypeElecCompany) {
                if (!this.invoiceTitle || !this.taxpayerIdentificationNumber) {
                    this.invoiceInfo.canSubmit = false;
                    return;
                }
            }
            this.invoiceInfo.canSubmit = true;
        },
        invoiceTypeDetail: function invoiceTypeDetail() {
            if (this.invoiceType == 1 && this.invoiceTitleType == 2) {
                //1=普通发票(纸质) 公司
                this.isTypeOrdPaperCompany = true;
                this.isTypeOrdPaperPerson = false;
                this.isTypeSpePaper = false;
                this.isTypeElecPerson = false;
                this.isTypeElecCompany = false;
                console.log("TYPE_ORD_PAPER_COMPANY");
                return TYPE_ORD_PAPER_COMPANY;
            } else if (this.invoiceType == 1 && this.invoiceTitleType == 1) {
                //1=普通发票(纸质) 个人
                this.isTypeOrdPaperCompany = false;
                this.isTypeOrdPaperPerson = true;
                this.isTypeSpePaper = false;
                this.isTypeElecPerson = false;
                this.isTypeElecCompany = false;
                console.log("TYPE_ORD_PAPER_PERSON");
                return TYPE_ORD_PAPER_PERSON;
            } else if (this.invoiceType == 2) {
                //2=增值税专用发票(纸质)
                this.isTypeOrdPaperCompany = false;
                this.isTypeOrdPaperPerson = false;
                this.isTypeSpePaper = true;
                this.isTypeElecPerson = false;
                this.isTypeElecCompany = false;
                this.invoiceTitleType = 2; //只有公司
                console.log("TYPE_SPE_PAPER");
                return TYPE_SPE_PAPER;
            } else if (this.invoiceType == 4 && this.invoiceTitleType == 2) {
                //4=普通发票(电子)  公司
                this.isTypeOrdPaperCompany = false;
                this.isTypeOrdPaperPerson = false;
                this.isTypeSpePaper = false;
                this.isTypeElecPerson = false;
                this.isTypeElecCompany = true;
                console.log("TYPE_ORD_PAPER_PERSON");
                return TYPE_ELEC_COMPANY;
            } else if (this.invoiceType == 4 && this.invoiceTitleType == 1) {
                //4=普通发票(电子) 个人
                this.isTypeOrdPaperCompany = false;
                this.isTypeOrdPaperPerson = false;
                this.isTypeSpePaper = false;
                this.isTypeElecPerson = true;
                this.isTypeElecCompany = false;
                console.log("TYPE_ORD_PAPER_PERSON");
                return TYPE_ELEC_PERSON;
            }
        },
        toggleCheck: function toggleCheck(index) {
            this.invoiceTitleType = index;
            console.log("====invoiceTitleType:" + this.invoiceTitleType);
            // this.dataClear();
        },
        dataClear: function dataClear() {}
    }
};

/***/ }),

/***/ 89:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrapper"]
  }, [_vm._m(0), _c('wxc-cell', {
    attrs: {
      "hasArrow": false,
      "cellStyle": _vm.cellStyle,
      "hasTopBorder": false
    }
  }, [_c('text', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      width: "232px",
      textAlign: "left"
    },
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_vm._v("发票抬头")]), _c('div', {
    staticStyle: {
      flexDirection: "row",
      flexWrap: "nowrap"
    },
    attrs: {
      "slot": "title"
    },
    slot: "title"
  }, [_c('div', {
    staticStyle: {
      width: "220px",
      flexDirection: "row",
      flexWrap: "nowrap",
      color: "#333333",
      fontSize: "28px"
    },
    on: {
      "click": function($event) {
        _vm.toggleCheck('2')
      }
    }
  }, [_c('image', {
    staticClass: ["icon"],
    staticStyle: {
      width: "40px",
      height: "40px"
    },
    attrs: {
      "src": (this.invoiceTitleType == 2) ? _vm.checkedIcon : _vm.unCheckedIcon,
      "resize": "contain"
    }
  }), (this.invoiceTitleType == 2) ? _c('text', {
    staticStyle: {
      paddingLeft: "15px",
      color: "#333333",
      fontSize: "28px",
      height: "40px",
      lineHeight: "40px"
    }
  }, [_vm._v("公司抬头")]) : _vm._e(), (this.invoiceTitleType == 1) ? _c('text', {
    staticStyle: {
      paddingLeft: "15px",
      color: "#999999",
      fontSize: "28px",
      height: "40px",
      lineHeight: "40px"
    }
  }, [_vm._v("公司抬头")]) : _vm._e()]), (_vm.invoiceType != 2) ? _c('div', {
    staticStyle: {
      width: "220px",
      flexDirection: "row",
      flexWrap: "nowrap",
      color: "#333333",
      fontSize: "28px"
    },
    on: {
      "click": function($event) {
        _vm.toggleCheck('1')
      }
    }
  }, [_c('image', {
    staticClass: ["icon"],
    staticStyle: {
      width: "40px",
      height: "40px"
    },
    attrs: {
      "src": (this.invoiceTitleType == 1) ? _vm.checkedIcon : _vm.unCheckedIcon,
      "resize": "contain"
    }
  }), (this.invoiceTitleType == 2) ? _c('text', {
    staticStyle: {
      paddingLeft: "15px",
      color: "#999999",
      fontSize: "28px",
      height: "40px",
      lineHeight: "40px"
    }
  }, [_vm._v("个人抬头")]) : _vm._e(), (this.invoiceTitleType == 1) ? _c('text', {
    staticStyle: {
      paddingLeft: "15px",
      color: "#333333",
      fontSize: "28px",
      height: "40px",
      lineHeight: "40px"
    }
  }, [_vm._v("个人抬头")]) : _vm._e()]) : _vm._e()])]), _c('wxc-cell', {
    attrs: {
      "hasArrow": false,
      "cellStyle": _vm.cellStyle,
      "hasTopBorder": false
    }
  }, [_c('div', {
    staticStyle: {
      width: "232px",
      flexWrap: "nowrap",
      flexDirection: "row"
    },
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('text', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      textAlign: "left"
    }
  }, [_vm._v(_vm._s((this.invoiceTitleType == 2) ? "公司抬头" : "个人抬头"))]), _c('text', {
    staticStyle: {
      color: "#F76160",
      fontSize: "28px"
    }
  }, [_vm._v("*")])]), (this.invoiceTitleType == 2) ? _c('input', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      height: "88px"
    },
    attrs: {
      "slot": "title",
      "type": "text",
      "placeholder": "请输入公司全称",
      "value": (_vm.invoiceTitle)
    },
    on: {
      "input": function($event) {
        _vm.invoiceTitle = $event.target.attr.value
      }
    },
    slot: "title"
  }) : _vm._e(), (this.invoiceTitleType == 1) ? _c('input', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      height: "88px"
    },
    attrs: {
      "slot": "title",
      "type": "text",
      "placeholder": "请输入发票抬头",
      "value": (_vm.invoiceTitle)
    },
    on: {
      "input": function($event) {
        _vm.invoiceTitle = $event.target.attr.value
      }
    },
    slot: "title"
  }) : _vm._e()]), (_vm.invoiceTitleType == 2) ? _c('wxc-cell', {
    attrs: {
      "hasArrow": false,
      "cellStyle": _vm.cellStyle,
      "hasTopBorder": false
    }
  }, [_c('div', {
    staticStyle: {
      width: "232px",
      flexWrap: "nowrap",
      flexDirection: "row"
    },
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('text', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      textAlign: "left"
    }
  }, [_vm._v("纳税人识别号")]), _c('text', {
    staticStyle: {
      color: "#F76160",
      fontSize: "28px"
    }
  }, [_vm._v("*")])]), _c('input', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      height: "88px"
    },
    attrs: {
      "slot": "title",
      "type": "text",
      "placeholder": "请输入纳税人识别号",
      "value": (_vm.taxpayerIdentificationNumber)
    },
    on: {
      "input": function($event) {
        _vm.taxpayerIdentificationNumber = $event.target.attr.value
      }
    },
    slot: "title"
  })]) : _vm._e(), (_vm.invoiceTitleType == 2) ? _c('wxc-cell', {
    attrs: {
      "hasArrow": false,
      "cellStyle": _vm.cellStyle,
      "hasTopBorder": false
    }
  }, [_c('div', {
    staticStyle: {
      width: "232px",
      flexWrap: "nowrap",
      flexDirection: "row"
    },
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('text', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      textAlign: "left"
    }
  }, [_vm._v("地址、电话")]), (_vm.isTypeSpePaper) ? _c('text', {
    staticStyle: {
      color: "#F76160",
      fontSize: "28px"
    }
  }, [_vm._v("*")]) : _vm._e()]), _c('input', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      height: "88px"
    },
    attrs: {
      "slot": "title",
      "type": "text",
      "placeholder": "注册地址、注册电话",
      "value": (_vm.taxpayerAddress)
    },
    on: {
      "input": function($event) {
        _vm.taxpayerAddress = $event.target.attr.value
      }
    },
    slot: "title"
  })]) : _vm._e(), (_vm.invoiceTitleType == 2) ? _c('wxc-cell', {
    attrs: {
      "hasArrow": false,
      "cellStyle": _vm.cellStyle,
      "hasTopBorder": false
    }
  }, [_c('div', {
    staticStyle: {
      width: "232px",
      flexWrap: "nowrap",
      flexDirection: "row"
    },
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('text', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      textAlign: "left"
    }
  }, [_vm._v("开户银行")]), (_vm.isTypeSpePaper) ? _c('text', {
    staticStyle: {
      color: "#F76160",
      fontSize: "28px"
    }
  }, [_vm._v("*")]) : _vm._e()]), _c('input', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      height: "88px"
    },
    attrs: {
      "slot": "title",
      "type": "text",
      "placeholder": "XX银行XX支行/分行",
      "value": (_vm.bank)
    },
    on: {
      "input": function($event) {
        _vm.bank = $event.target.attr.value
      }
    },
    slot: "title"
  })]) : _vm._e(), (_vm.invoiceTitleType == 2) ? _c('wxc-cell', {
    attrs: {
      "hasArrow": false,
      "cellStyle": _vm.cellStyle,
      "hasTopBorder": false
    }
  }, [_c('div', {
    staticStyle: {
      width: "232px",
      flexWrap: "nowrap",
      flexDirection: "row"
    },
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('text', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      textAlign: "left"
    }
  }, [_vm._v("银行账号")]), (_vm.isTypeSpePaper) ? _c('text', {
    staticStyle: {
      color: "#F76160",
      fontSize: "28px"
    }
  }, [_vm._v("*")]) : _vm._e()]), _c('input', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      height: "88px"
    },
    attrs: {
      "slot": "title",
      "type": "text",
      "placeholder": "输入银行账号",
      "value": (_vm.bankAccount)
    },
    on: {
      "input": function($event) {
        _vm.bankAccount = $event.target.attr.value
      }
    },
    slot: "title"
  })]) : _vm._e(), _c('wxc-cell', {
    attrs: {
      "hasArrow": false,
      "cellStyle": _vm.cellStyle,
      "hasTopBorder": false
    }
  }, [_c('text', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      width: "232px",
      textAlign: "left"
    },
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_vm._v("发票内容")]), _c('text', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px"
    },
    attrs: {
      "slot": "title"
    },
    slot: "title"
  }, [_vm._v(_vm._s(_vm.invoiceContent))])]), _c('wxc-cell', {
    attrs: {
      "hasArrow": false,
      "cellStyle": _vm.cellStyle,
      "hasTopBorder": false
    }
  }, [_c('text', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      width: "232px",
      textAlign: "left"
    },
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_vm._v("发票金额")]), _c('text', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px"
    },
    attrs: {
      "slot": "title"
    },
    slot: "title"
  }, [_vm._v(_vm._s((this.invoiceAmount - 0).toFixed(2)) + "元")])]), _c('wxc-cell', {
    attrs: {
      "hasArrow": false,
      "cellStyle": _vm.cellStyle,
      "hasTopBorder": false,
      "hasBottomBorder": false
    }
  }, [_c('text', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      width: "232px",
      textAlign: "left"
    },
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_vm._v("备注")]), _c('input', {
    staticStyle: {
      color: "#333333",
      fontSize: "28px",
      height: "88px"
    },
    attrs: {
      "slot": "title",
      "type": "text",
      "placeholder": "请输入备注信息",
      "value": (_vm.remarks)
    },
    on: {
      "input": function($event) {
        _vm.remarks = $event.target.attr.value
      }
    },
    slot: "title"
  })])], 1)
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["title"]
  }, [_c('text', {
    staticStyle: {
      fontSize: "24px"
    }
  }, [_vm._v("发票信息")])])
}]}
module.exports.render._withStripped = true

/***/ }),

/***/ 90:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(91)
)

/* script */
__vue_exports__ = __webpack_require__(92)

/* template */
var __vue_template__ = __webpack_require__(93)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "E:\\neusoft\\WeexGenerator\\src\\js\\components\\invoice-type.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-084092d3"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 91:
/***/ (function(module, exports) {

module.exports = {
  "wrapper": {
    "backgroundColor": "#F8F8F8"
  },
  "title": {
    "color": "#333333",
    "fontSize": "24",
    "marginTop": "20",
    "marginLeft": "24",
    "height": "48"
  },
  "invoice": {
    "width": "750",
    "backgroundColor": "#FFFFFF",
    "flexDirection": "row",
    "flexWrap": "wrap",
    "alignItems": "center",
    "alignContent": "center",
    "display": "flex",
    "justifyContent": "space-between"
  },
  "invo-item": {
    "width": "340",
    "alignItems": "center",
    "justifyContent": "space-between",
    "borderRadius": "6",
    "marginTop": "20",
    "backgroundColor": "#F2F2F2",
    "fontSize": "32",
    "color": "#333333"
  },
  "item-sel": {
    "width": "340",
    "color": "#25BB82",
    "backgroundColor": "#D3F1E6",
    "borderWidth": "2",
    "borderColor": "#1FA67B",
    "boxSizing": "border-box",
    "textAlign": "center",
    "height": "120",
    "lineHeight": "120"
  },
  "item-no-sel": {
    "textAlign": "center",
    "height": "120",
    "lineHeight": "120"
  },
  "ele": {
    "flexDirection": "column",
    "height": "120",
    "lineHeight": "120",
    "marginBottom": "20",
    "backgroundColor": "#CCCCCC"
  },
  "ele-intro-1": {
    "fontSize": "32",
    "color": "#333333",
    "textAlign": "center",
    "marginTop": "24"
  },
  "ele-intro-2": {
    "fontSize": "24",
    "color": "#333333",
    "textAlign": "center",
    "marginBottom": "20"
  },
  "ele-intro-3": {
    "fontSize": "20",
    "color": "#999999",
    "marginBottom": "20",
    "marginTop": "20",
    "marginLeft": "24"
  }
}

/***/ }),

/***/ 92:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: {
        invoiceAmount: {
            type: String,
            default: '0'
        }
    },
    data: function data() {
        return {
            typeIcon: _utils2.default.env.isIOS() ? "local:///bg_screen_choose.png" : "local:///bg_screen_choose", //'http://192.168.31.39:8081/dist/imgs/bg_screen_choose.png',
            curType: '4',
            itemSel: {
                width: '340px',
                color: '#25BB82',
                backgroundColor: '#D3F1E6',
                borderWidth: '2px',
                borderColor: '#1FA67B',
                boxSizing: 'border-box',
                textAlign: 'center',
                height: '120px',
                lineHeight: '120px',
                borderRadius: '6px',
                fontSize: '32px'
            },
            itemNoSel: {
                width: '340px',
                textAlign: 'center',
                height: '120px',
                lineHeight: '120px',
                fontSize: '32px',
                boxSizing: 'border-box'
            },
            btnDisable: {
                backgroundColor: '#CCCCCC'
            }
        };
    },

    computed: {
        myTextStyle1: function myTextStyle1() {
            if (this.curType == 1) {
                return this.itemSel;
            } else {
                return this.itemNoSel;
            }
        },
        myTextStyle2: function myTextStyle2() {
            if (this.curType == 2) {
                return this.itemSel;
            } else {
                return this.itemNoSel;
            }
        },
        myTextStyle3: function myTextStyle3() {
            if (this.curType == 4) {
                return this.itemSel;
            } else {
                return this.itemNoSel;
            }
        },
        disabled: function disabled() {
            console.log("------------invoiceAmount:" + this.invoiceAmount);
            if (this.invoiceAmount - 0 < 200) {
                return this.btnDisable;
            }
        }
    },
    methods: {
        onClicked: function onClicked(e) {
            console.log("------------type:" + e);
            if (this.invoiceAmount - 0 < 200 && (e == 1 || e == 2)) {
                return;
            }
            var type = e;
            this.curType = type;
            this.$emit('invoiceTypeClicked', { type: type });
        }
    }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 93:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrapper"]
  }, [_vm._m(0), _c('div', {
    staticClass: ["invoice"]
  }, [_c('div', {
    staticClass: ["invo-item"],
    staticStyle: {
      marginLeft: "24px",
      position: "relative"
    },
    on: {
      "click": function($event) {
        _vm.onClicked('4')
      }
    }
  }, [_c('div', {
    style: _vm.myTextStyle3
  }, [_c('text', {
    staticClass: ["ele-intro-1"]
  }, [_vm._v("普通发票(电子)")]), _c('text', {
    staticClass: ["ele-intro-2"]
  }, [_vm._v("最快5分钟即可收到")])]), (this.curType == 4) ? _c('image', {
    staticStyle: {
      width: "32px",
      height: "28px",
      position: "absolute",
      right: "0",
      top: "0"
    },
    attrs: {
      "src": _vm.typeIcon,
      "resize": "contain"
    }
  }) : _vm._e()]), _c('div', {
    staticClass: ["invo-item"],
    staticStyle: {
      marginRight: "24px",
      position: "relative"
    },
    style: _vm.disabled,
    on: {
      "click": function($event) {
        _vm.onClicked('1')
      }
    }
  }, [_c('text', {
    style: _vm.myTextStyle1
  }, [_vm._v("普通发票(纸质)")]), (this.curType == 1) ? _c('image', {
    staticStyle: {
      width: "32px",
      height: "28px",
      position: "absolute",
      right: "0",
      top: "0"
    },
    attrs: {
      "src": _vm.typeIcon,
      "resize": "contain"
    }
  }) : _vm._e()]), _c('div', {
    staticClass: ["invo-item"],
    staticStyle: {
      marginLeft: "24px",
      position: "relative"
    },
    style: _vm.disabled,
    on: {
      "click": function($event) {
        _vm.onClicked('2')
      }
    }
  }, [_c('text', {
    style: _vm.myTextStyle2
  }, [_vm._v("增值税专用发票(纸质)")]), (this.curType == 2) ? _c('image', {
    staticStyle: {
      width: "32px",
      height: "28px",
      position: "absolute",
      right: "0",
      top: "0"
    },
    attrs: {
      "src": _vm.typeIcon,
      "resize": "contain"
    }
  }) : _vm._e()])]), _vm._m(1)])
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["title"]
  }, [_c('text', {
    staticStyle: {
      fontSize: "24px"
    }
  }, [_vm._v("发票类型")])])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticStyle: {
      width: "750px",
      backgroundColor: "#FFFFFF"
    }
  }, [_c('text', {
    staticClass: ["ele-intro-3"]
  }, [_vm._v("*发票金额200元以下只可开电子发票")])])
}]}
module.exports.render._withStripped = true

/***/ }),

/***/ 98:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(99)
)

/* script */
__vue_exports__ = __webpack_require__(100)

/* template */
var __vue_template__ = __webpack_require__(101)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "E:\\neusoft\\WeexGenerator\\src\\js\\components\\recipient-info.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-2677149b"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 99:
/***/ (function(module, exports) {

module.exports = {
  "wrapper": {
    "backgroundColor": "#F8F8F8"
  },
  "title": {
    "color": "#333333",
    "fontSize": "24",
    "marginTop": "20",
    "marginLeft": "24",
    "height": "48"
  }
}

/***/ })

/******/ });